camp_triggers = {
	['Reinforce 81 TFS'] = {
		['action'] = 'Action.AirUnitReinforce("82 TFS", "81 TFS", 4)',
		['condition'] = 'true',
		['active'] = true,
	},
	['VF-143 Alive 75%'] = {
		['action'] = 'Action.Text("Aircraft strength of the VF-143 equiped with Tomcats has fallen below 75%.")',
		['once'] = true,
		['condition'] = 'Return.AirUnitAlive("VF-143") < 4',
		['active'] = true,
	},
	['Newspaper AWACS'] = {
		['action'] = {
			[1] = 'Action.AddImage("Newspaper_AWACS.jpg")',
			[2] = 'NoMoreNewspaper = true',
		},
		['once'] = true,
		['condition'] = 'NoMoreNewspaper == nil and Return.Mission() > 1 and math.random(1,10) == 1',
		['active'] = true,
	},
	['Reinforce 21-2 TFS'] = {
		['action'] = 'Action.AirUnitReinforce("22-2 TFS", "21-2 TFS", 2)',
		['condition'] = 'true',
		['active'] = true,
	},
	['Newspaper Strike Eagle'] = {
		['action'] = {
			[1] = 'Action.AddImage("Newspaper_StrikeEagle.jpg")',
			[2] = 'NoMoreNewspaper = true',
		},
		['once'] = true,
		['condition'] = 'NoMoreNewspaper == nil and Return.Mission() > 1 and math.random(1,10) == 1',
		['active'] = true,
	},
	['CVN-74 John C. Stennis sunk'] = {
		['action'] = {
			[1] = 'db_airbases["Stennis"].inactive = true',
			[2] = 'Action.Text("After the CVN-74 John C. Stennis has been hit by air strikes and sunk, VF-143 is no longer able to fly. Most of its planes are deep into the Gulf waters and it will need a long time to restore this unit s capabilities")',
		},
		['condition'] = 'Return.TargetAlive("CVN-74 John C. Stennis") == 0',
		['active'] = true,
	},
	['Sirri Island Disabled'] = {
		['action'] = {
			[1] = 'db_airbases["Sirri Island"].inactive = true',
			[2] = 'Action.Text("After the facilities at Sirri Island Airport have been hit by air strikes, air operations at this base came to a complete stop. Intelligence believes that due to the heavy damage inflicted, the base is no longer able to produce any aviation sorties.")',
		},
		['condition'] = 'Return.TargetAlive("Sirri Island") + Return.TargetAlive("Sirri Island Airport Strategics") == 0',
		['active'] = true,
	},
	['Reinforce 41 TFS'] = {
		['action'] = 'Action.AirUnitReinforce("141 TFS", "41 TFS", 4)',
		['condition'] = 'true',
		['active'] = true,
	},
	['Campaign End Draw'] = {
		['action'] = {
			[1] = 'Action.CampaignEnd("draw")',
			[2] = 'Action.Text("The air campaign has seen a sustained period of inactivity. Seemingly unable to complete the destruction of the Islamic Republic Iranian Air Force and infrastructure, US Central Command has called off all squadrons from offensive operations. We hope negociations with Iranian will convince them to stop fortifications in the Persian Gulf")',
			[3] = 'NoMoreNewspaper = true',
		},
		['once'] = true,
		['condition'] = 'MissionInstance == 40',
		['active'] = true,
	},
	['Reinforce 335 TFS'] = {
		['action'] = 'Action.AirUnitReinforce("R/335 TFS", "335 TFS", 6)',
		['condition'] = 'true',
		['active'] = true,
	},
	['Reinforce 58 TFS'] = {
		['action'] = 'Action.AirUnitReinforce("R/58 TFS", "58 TFS", 8)',
		['condition'] = 'true',
		['active'] = true,
	},
	['Reinforce VF-143'] = {
		['action'] = 'Action.AirUnitReinforce("R/VF-143", "VF-143", 4)',
		['condition'] = 'true',
		['active'] = true,
	},
	['Newspaper Nighthawk'] = {
		['action'] = {
			[1] = 'Action.AddImage("Newspaper_Nighthawk.jpg")',
			[2] = 'NoMoreNewspaper = true',
		},
		['once'] = true,
		['condition'] = 'NoMoreNewspaper == nil and Return.Mission() > 1 and math.random(1,10) == 1',
		['active'] = true,
	},
	['Campaign End Loss'] = {
		['action'] = {
			[1] = 'Action.CampaignEnd("loss")',
			[2] = 'Action.Text("Ongoing combat operations have exhausted VF-143. Loss rate has reached a level where reinforcements are no longer able to sustain combat operations. With the failure of Allied Air Force to attain air superiority, US Central Command has decided to call of the air campaign against the Iranians. Without destroying Iranians airbases it seems unlikely that the coalition will be able to win this war.")',
			[4] = 'NoMoreNewspaper = true',
			[3] = 'Action.AddImage("Newspaper_Defeat.jpg")',
		},
		['once'] = true,
		['condition'] = 'Return.AirUnitAlive("VF-143") + Return.AirUnitReady("R/VF-143") < 2',
		['active'] = true,
	},
	['Reinforce 174 ARW'] = {
		['action'] = 'Action.AirUnitReinforce("R/174 ARW", "174 ARW", 4)',
		['condition'] = 'true',
		['active'] = true,
	},
	['Campaign End Loss 2'] = {
		['action'] = {
			[1] = 'Action.CampaignEnd("loss")',
			[2] = 'Action.Text("After the CVN-74 John C. Stennis has been hit by air strikes and sunk, VF-143 is no longer able to fly. Most of its planes are deep into the Caucasian waters and it will need a long time to restore this unit s capabilities. Other US units will have to continue the fight without the VF-143 support. This is a bitter failure for the Navy")',
			[4] = 'NoMoreNewspaper = true',
			[3] = 'Action.AddImage("Newspaper_Defeat.jpg")',
		},
		['once'] = true,
		['condition'] = 'Return.TargetAlive("CVN-74 John C. Stennis") == 0',
		['active'] = true,
	},
	['Repair'] = {
		['action'] = 'Action.AirUnitRepair()',
		['condition'] = 'true',
		['active'] = true,
	},
	['Qeshm Island Disabled'] = {
		['action'] = {
			[1] = 'db_airbases["Qeshm Island"].inactive = true',
		},
		['condition'] = 'Return.TargetAlive("Qeshm Island") == 0',
		['active'] = true,
	},
	['Bandar Abbas Intl Disabled'] = {
		['action'] = {
			[1] = 'db_airbases["Bandar Abbas Intl"].inactive = true',
			[2] = 'Action.Text("After the facilities at Bandar Abbas Intl have been hit by air strikes, air operations at this base came to a complete stop. Intelligence believes that due to the heavy damage inflicted, the base is no longer able to produce any aviation sorties.")',
		},
		['once'] = true,
		['condition'] = 'Return.TargetAlive("Bandar Abbas Intl") + Return.TargetAlive("Bandar Abbas Intl Strategics") == 0',
		['active'] = true,
	},
	['Reinforce 91 TFS'] = {
		['action'] = 'Action.AirUnitReinforce("31 TFS", "91 TFS", 4)',
		['condition'] = 'true',
		['active'] = true,
	},
	['Newspaper Gainful'] = {
		['action'] = {
			[1] = 'Action.AddImage("Newspaper_Gainful.jpg")',
			[2] = 'NoMoreNewspaper = true',
		},
		['once'] = true,
		['condition'] = 'NoMoreNewspaper == nil and Return.Mission() > 1 and math.random(1,10) == 1',
		['active'] = true,
	},
	['Newspaper Fulcrum'] = {
		['action'] = {
			[1] = 'Action.AddImage("Newspaper_Fulcrum.jpg")',
			[2] = 'NoMoreNewspaper = true',
		},
		['once'] = true,
		['condition'] = 'NoMoreNewspaper == nil and Return.Mission() > 1 and math.random(1,10) == 1',
		['active'] = true,
	},
	['Newspaper Falcon'] = {
		['action'] = {
			[1] = 'Action.AddImage("Newspaper_Falcon.jpg")',
			[2] = 'NoMoreNewspaper = true',
		},
		['once'] = true,
		['condition'] = 'NoMoreNewspaper == nil and Return.Mission() > 1 and math.random(1,10) == 1',
		['active'] = true,
	},
	['Campaign End Victory 1'] = {
		['action'] = {
			[1] = 'Action.CampaignEnd("win")',
			[2] = 'Action.Text("The Allied units deployed to UAE have successfully destroyed all the targets that they were assigned by US Central Command with the precious help of the French fighters and Sweden Viggen. With the complete destruction of the Iranian airbases, the air campaign of this war comes to an end. Allied air power has once again proven its effectiveness and decisiveness. Well done.")',
			[4] = 'NoMoreNewspaper = true',
			[3] = 'Action.AddImage("Newspaper_Victory.jpg")',
		},
		['once'] = true,
		['condition'] = 'GroundTarget["blue"].percent < 30',
		['active'] = true,
	},
	['Havadarya Airport Disabled'] = {
		['action'] = {
			[1] = 'db_airbases["Havadarya"].inactive = true',
			[2] = 'Action.Text("After the facilities at Havadarya Airport have been hit by air strikes, air operations at this base came to a complete stop. Intelligence believes that due to the heavy damage inflicted, the base is no longer able to produce any aviation sorties.")',
		},
		['condition'] = 'Return.TargetAlive("Havadarya") + Return.TargetAlive("Havadarya Airport Strategics") == 0',
		['active'] = true,
	},
	['Reinforce 23 TFS'] = {
		['action'] = 'Action.AirUnitReinforce("11 TFS", "23 TFS", 4)',
		['condition'] = 'true',
		['active'] = true,
	},
	['Red Ground Target Briefing Intel'] = {
		['action'] = 'Action.AddGroundTargetIntel("red")',
		['condition'] = 'true',
		['active'] = true,
	},
	['Blue Ground Target Briefing Intel'] = {
		['action'] = 'Action.AddGroundTargetIntel("blue")',
		['condition'] = 'true',
		['active'] = false,
	},
	['Campaign Briefing'] = {
		['action'] = {
			[6] = 'Action.AddImage("Newspaper_FirstNight.jpg")',
			[2] = 'Action.Text("The US Air Force has sent considerable forces to UAE in support of the operation. At the forefront are the F-15C Eagles of the 58th Tactical Fighter Squadron who are tasked to attain air superiority and protect coalition strike aircraft against the Iranian Air Force helped by the 1/12 Cambresis. Exceptionaly Sweden sent F7 squadron with AJS-37 Viggen to attack ships and ground targets. The brunt of daylight attack falls on the F-16C of the 17th Tactical Fighter Squadron, supported by the F-14B of VF-143. Attack during the night is carried out by the F-15E Strike Eagles of the 335th Tactical Fighter Squadron, who are looking forward to the types combat debut. Of considerable interest to the USAF is the deployment of the F-117A Nighthawk stealth bomber with the 417th Tactical Fighter Squadron. The USAF contingent is completed by a deployment of E-3A Sentry from the 7th Airborne Command and Control Squadron. Together these squadrons form a powerful and mighty force.")',
			[3] = 'Action.Text("The Iranian Air Force is flying a mix of MiG-29A, F-14A, F-4E and F-5E-3 fighters directed by ground based early warning radar. Air bases and target complexes of high value are protected by a variety of surface-air missile systems, such as the Hawk system, the SA-2, the SA-6 Gainful, the Rapier, as well as short-range IR-SAMs and AAA. As part of the coalition air offensive, the US Air Force is tasked with neutralizing the Iranian Air Force, both in the air and on the ground, as well as destroying Iranian airbases.")',
			[1] = 'Action.Text("Iran is becoming more and more aggressive in the Persian Gulf. Iranian islands are more and more fortified and soon it will become very dangerous for any ship trying to cross the Gulf. South gulf countries asked US forces to prevent a complete blocade of this area.")',
			[4] = 'Action.Text("The Bullseye Coordinates are N 26 51.10 and E 056 21.45")',
			[5] = 'Action.Text("CVN-74 John C. Stennis TACAN Channel is 37X and ILCS Channel is 11")',
		},
		['once'] = true,
		['condition'] = 'true',
		['active'] = false,
	},
	['Reinforce 21 TFS'] = {
		['action'] = 'Action.AirUnitReinforce("22 TFS", "21 TFS", 2)',
		['condition'] = 'true',
		['active'] = true,
	},
	['Newspaper Nighthawk Down'] = {
		['action'] = {
			[1] = 'Action.AddImage("Newspaper_NighthawkDown.jpg")',
			[2] = 'NoMoreNewspaper = true',
		},
		['once'] = true,
		['condition'] = 'Return.AirUnitAlive("417 TFS") < 2',
		['active'] = true,
	},
	['VF-143 Alive 25%'] = {
		['action'] = 'Action.Text("Aircraft strength of the VF-143 equiped with Tomcats has fallen below 25%. The number of available airframes is critically low. The squadron is short of destruction.")',
		['once'] = true,
		['condition'] = 'Return.AirUnitAlive("VF-143") < 2',
		['active'] = true,
	},
	['VF-143 Alive 50%'] = {
		['action'] = 'Action.Text("Aircraft strength of the VF-143 equiped with Tomcats has fallen below 50%. If losses continue at the present rate, the combat capability of the squadron is in jeopardy.")',
		['once'] = true,
		['condition'] = 'Return.AirUnitAlive("VF-143") < 3',
		['active'] = true,
	},
	['Reinforce 83 TFS'] = {
		['action'] = 'Action.AirUnitReinforce("84 TFS", "83 TFS", 4)',
		['condition'] = 'true',
		['active'] = true,
	},
	['CAP After EWR Destroyed'] = {
		['action'] = {
			[1] = 'Action.TargetActive("CAP Qeshm", true)',
			[2] = 'Action.TargetActive("CAP Islands", true)',
			[3] = 'Action.Text("With the recent destruction of all Early Warning Radar sites in the operations area, the ability of the enemy to launch interceptors against our strike packages was severely degraded. Intelligence expects that the enemy will increasingly depend on Combat Air Patrols to compensate, though without the support of ground controllers these are estimated to be of limited effectiveness.")',
		},
		['once'] = true,
		['condition'] = 'Return.TargetAlive("EWR 1") == 0 and Return.TargetAlive("EWR 2") == 0 and Return.TargetAlive("EWR 3") == 0',
		['active'] = true,
	},
	['Reinforce 72 TFS'] = {
		['action'] = 'Action.AirUnitReinforce("73 TFS", "72 TFS", 6)',
		['condition'] = 'true',
		['active'] = true,
	},
	['Newspaper Eagle'] = {
		['action'] = {
			[1] = 'Action.AddImage("Newspaper_Eagle.jpg")',
			[2] = 'NoMoreNewspaper = true',
		},
		['once'] = true,
		['condition'] = 'NoMoreNewspaper == nil and Return.Mission() > 1 and math.random(1,10) == 1',
		['active'] = true,
	},
	['Reinforce 17 TFS'] = {
		['action'] = 'Action.AirUnitReinforce("R/17 TFS", "17 TFS", 12)',
		['condition'] = 'true',
		['active'] = true,
	},
	['Reinforce 171 ARW'] = {
		['action'] = 'Action.AirUnitReinforce("R/171 ARW", "171 ARW", 3)',
		['condition'] = 'true',
		['active'] = true,
	},
	['Lar Airbase Disabled'] = {
		['action'] = {
			[1] = 'db_airbases["Lar Airbase"].inactive = true',
			[2] = 'Action.Text("After the facilities at Lar Airbase have been hit by air strikes, air operations at this base came to a complete stop. Intelligence believes that due to the heavy damage inflicted, the base is no longer able to produce any aviation sorties.")',
		},
		['condition'] = 'Return.TargetAlive("Lar Airbase") + Return.TargetAlive("Lar Airbase Strategics") == 0',
		['active'] = true,
	},
	['Abu Musa Island Airport Disabled'] = {
		['action'] = {
			[1] = 'db_airbases["Abu Musa Island Airport"].inactive = true',
			[2] = 'Action.Text("After the facilities at Abu Musa Island Airport have been hit by air strikes, air operations at this base came to a complete stop. Intelligence believes that due to the heavy damage inflicted, the base is no longer able to produce any aviation sorties.")',
		},
		['condition'] = 'Return.TargetAlive("Abu Musa Island Airport") + Return.TargetAlive("Abu Musa Island Airport Strategics") == 0',
		['active'] = true,
	},
	['Reinforce 51 TFS'] = {
		['action'] = 'Action.AirUnitReinforce("52 TFS", "51 TFS", 4)',
		['condition'] = 'true',
		['active'] = true,
	},
	['Reinforce F7'] = {
		['action'] = 'Action.AirUnitReinforce("F21", "F7", 8)',
		['condition'] = 'true',
		['active'] = true,
	},
	['Reinforce EC 1/12'] = {
		['action'] = 'Action.AirUnitReinforce("EC 2/12", "EC 1/12", 8)',
		['condition'] = 'true',
		['active'] = true,
	},
}
